Subject: bug#186: 23.0.50; can't debug `message'

From: "Eric M. Ludlam" <[email-masked]>
Date: Sat, 3 May 2008 21:45:06 -0400

I was trying to figure out where a stray output message was coming
from, so I tried:

M-x debug-on-entry RET message RET

but sadly, this put Emacs into a state where I couldn't do anything,
and I had to kill it because it kept exceeding it's stack depth.

In GNU Emacs 23.0.50.1 (i686-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2007-09-10 on projectile
Windowing system distributor `The XFree86 Project, Inc', version 11.0.40300000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  show-paren-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  line-number-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> M-x 
r e <tab> p <tab> o <tab> r <tab> <return>

Recent messages:
Making completion list...
Invalid face reference: quote [10 times]
Making completion list...
Invalid face reference: quote [10 times]
Making completion list...
Invalid face reference: quote [10 times]
Loading emacsbug...
Loading regexp-opt...done
Loading emacsbug...done
Invalid face reference: quote [10 times]